POST api/Insured/InsuredXDatesAndLinesOfBusiness
Insured X-Dates and Lines of Business list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"05a201dd-37e6-4b0e-befd-6fb1816be7ee",
"b12e7bfe-8e0e-4704-9d24-289a316ed88e"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>05a201dd-37e6-4b0e-befd-6fb1816be7ee</d2p1:guid>
<d2p1:guid>b12e7bfe-8e0e-4704-9d24-289a316ed88e</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XDatesLinesOfBusiness against given insured database Ids.
XDatesLinesOfBusiness| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| XDate | date |
None. |
|
| LineOfBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "508b8c00-f44e-40b2-b880-acfcedfee60d",
"xDate": "2026-03-04T19:35:27.7868241-06:00",
"lineOfBusinessName": "sample string 2",
"insuredDatabaseId": "235f9f6e-49b3-4eb2-8978-7ee4e3a14541"
}
application/xml, text/xml
Sample:
<XDatesLinesOfBusiness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>508b8c00-f44e-40b2-b880-acfcedfee60d</DatabaseId> <InsuredDatabaseId>235f9f6e-49b3-4eb2-8978-7ee4e3a14541</InsuredDatabaseId> <LineOfBusinessName>sample string 2</LineOfBusinessName> <XDate>2026-03-04T19:35:27.7868241-06:00</XDate> </XDatesLinesOfBusiness>